<?php

/**
 * Phire Clear Searches
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

if (isset($_POST['rm_searches'][0])) {

    $siteSearches = new Phire_Table_SearchLog();

    foreach ($_POST['rm_searches'] as $id) {
        $siteSearches->execute("DELETE FROM " . DB_PREFIX . "searchlog WHERE search_id = '" . (string)Moc10_String::setString($id)->escape(true)->striptags() . "' AND site_id = '" . (string)Moc10_String::setString($_POST['site_id'])->escape(true)->striptags() . "' LIMIT 1");
    }

    if (isset($_POST['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/system/view-searches.php?sid=' . $_POST['site_id'] . '&action=removed');
    }

} else {
    if (isset($_POST['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/system/view-searches.php?sid=' . $_POST['site_id']);
    }
}

?>
