<?php

/**
 * Phire Mobile Content Add Section
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

?>
        <br />
        <h3 class="blueHeader">Content &gt; Sections &gt; Add Section</h3>
<?php

// Check if an add section form has been submitted and has returned with errors.
if (isset($sess->add_section_form)) {

    try {

        $sess->add_section_form->render();

    } catch (Exception $e) {

        unset($sess->add_section_form);

        $form = new Phire_Form_Section('../../core/process/add.section.php', 'post', '        ');
        $form->init(array('mobile' => 'true'));
        $form->render();

    }

// Else, initialize and render a new add section form.
} else {

    $form = new Phire_Form_Section('../../core/process/add.section.php', 'post', '        ');
    $form->init(array('mobile' => 'true'));
    $form->render();

}

include_once '../../core/includes/mobile/footer.php';

?>