<?php
    $contentOn = '';
    $assetsOn = '';
    $extensionsOn = '';
    $systemOn = '';

    if (stripos($_SERVER['REQUEST_URI'], '/content') !== false) {
        $contentOn = 'On';
    }
    if (stripos($_SERVER['REQUEST_URI'], '/assets') !== false) {
        $assetsOn = 'On';
    }
    if (stripos($_SERVER['REQUEST_URI'], '/extensions') !== false) {
        $extensionsOn = 'On';
    }
    if (stripos($_SERVER['REQUEST_URI'], '/system') !== false) {
        $systemOn = 'On';
    }
?>
        <ul id="mainNav">
            <li><a id="contentLink" class="navLink<?php print($contentOn); ?>" href="<?php print(BASE_PATH . SYS_PATH); ?>/content/" onmouseover="menus.hideAll(); menus.showMenu('contentSubNav');"><?php $lang->_e('Content'); ?></a></li>
            <li><a id="assetsLink" class="navLink<?php print($assetsOn); ?>" href="<?php print(BASE_PATH . SYS_PATH); ?>/assets/" onmouseover="menus.hideAll(); menus.showMenu('assetsSubNav');"><?php $lang->_e('Assets'); ?></a></li>
<?php if (($sess->access == 'Basic') || ($sess->access == 'Full') || ($sess->access == 'Admin')) { ?>
            <li><a id="extLink" class="navLinkLong<?php print($extensionsOn); ?>" href="<?php print(BASE_PATH . SYS_PATH); ?>/extensions/" onmouseover="menus.hideAll(); menus.showMenu('extensionsSubNav');"><?php $lang->_e('Extensions'); ?></a></li>
<?php } ?>
<?php if (($sess->access == 'Full') || ($sess->access == 'Admin')) { ?>
            <li><a id="systemLink" class="navLink<?php print($systemOn); ?>" href="<?php print(BASE_PATH . SYS_PATH); ?>/system/" onmouseover="menus.hideAll(); menus.showMenu('systemSubNav');"><?php $lang->_e('System'); ?></a></li>
<?php } ?>
        </ul>
